Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.escape.ascape.chart
Class ChartCustomizer.MeasureEditSupport

    java.lang.Object
      EditingSupport
          org.eclipse.amp.escape.ascape.chart.ChartCustomizer.MeasureEditSupport

Enclosing class:
  ChartCustomizer

     class ChartCustomizer.MeasureEditSupport

extends EditingSupport

The Class MeasureEditSupport.

Field Summary
`(package private) java.util.Map<java.lang.Object,CheckboxCellEditor>` | `checkBoxFor`
`(package private) int` | `measureNumber`

Constructor Summary
`ChartCustomizer.MeasureEditSupport(ColumnViewer viewer, int measureNumber)` Instantiates a new measure edit support.

Method Summary
`protected boolean` | `canEdit(java.lang.Object element)`
`protected CellEditor` | `getCellEditor(java.lang.Object element)`
`private DataSeries` | `getDataSeries(java.lang.Object id)`
`protected java.lang.Object` | `getValue(java.lang.Object element)`
`protected void` | `setValue(java.lang.Object element, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### measureNumber

    int measureNumber

### checkBoxFor

    java.util.Map<java.lang.Object,CheckboxCellEditor> checkBoxFor

Constructor Detail

### ChartCustomizer.MeasureEditSupport

    public ChartCustomizer.MeasureEditSupport(ColumnViewer viewer,
                                              int measureNumber)

  Instantiates a new measure edit support.

  Parameters:
    `viewer` - the viewer
    `measureNumber` - the measure number

Method Detail

### getDataSeries

    private DataSeries getDataSeries(java.lang.Object id)

### canEdit

    protected boolean canEdit(java.lang.Object element)

  Parameters:
    `element` -
  Returns:
  See Also:
    `org.eclipse.jface.viewers.EditingSupport#canEdit(java.lang.Object)`

### getCellEditor

    protected CellEditor getCellEditor(java.lang.Object element)

  Parameters:
    `element` -
  Returns:
  See Also:
    `org.eclipse.jface.viewers.EditingSupport#getCellEditor(java.lang.Object)`

### getValue

    protected java.lang.Object getValue(java.lang.Object element)

  Parameters:
    `element` -
  Returns:
  See Also:
    `org.eclipse.jface.viewers.EditingSupport#getValue(java.lang.Object)`

### setValue

    protected void setValue(java.lang.Object element,
                            java.lang.Object value)

  Parameters:
    `element` -
    `value` -
  See Also:
    `org.eclipse.jface.viewers.EditingSupport#setValue(java.lang.Object, java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors